version: "3"
services:
  home-server:
    # 指定容器名称
    container_name: home-server
    build:
      context:  ./                  # 指定设定上下文根目录，然后以该目录为准寻找Dockerfile
      dockerfile: admin.dockerfile  #DockerFile 真正所在位置
    # 重启机制
    restart: always
    image: home-server:2.2.6
    volumes:
      # 挂载日志 -v A:B ,A指宿主机位置，B指容器位置
      - /opt/docker/service/log/home-server:/logs
      # 指定容器时间为宿主机时间
      - /etc/localtime:/etc/localtime
    # 访问端口cd
    ports:
      - "8081:8081"
    #启动容器后执行的命令
    entrypoint: java -server -Xms256m -Xmx1024m -jar -Duser.timezone=GMT+8 -Dspring.profiles.active=prod api.jar
